Bug 1111913 - gyp broken in EL5
Summary: gyp broken in EL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gyp
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-21 22:42 UTC by Veeti Paananen
Modified: 2014-08-01 16:42 UTC (History)
1 user (show)

Fixed In Version: gyp-0.1-0.15.1617svn.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-25 12:55:29 UTC


Attachments (Terms of Use)
Update gyp to Python 2.6 (1.91 KB, patch)
2014-06-21 22:42 UTC, Veeti Paananen
no flags Details | Diff

Description Veeti Paananen 2014-06-21 22:42:29 UTC
Created attachment 911096 [details]
Update gyp to Python 2.6

gyp is incompatible with the default Python 2.4 on EL5: the tool fails to run due to syntax errors. For example:

bash-3.2# gyp -f make --depth `pwd` http_parser.gyp 
Traceback (most recent call last):
  File "/usr/bin/gyp", line 18, in ?
    sys.exit(gyp.main(sys.argv[1:]))
  File "/usr/lib/python2.4/site-packages/gyp/__init__.py", line 462, in main
    options.circular_check)
  File "/usr/lib/python2.4/site-packages/gyp/__init__.py", line 61, in Load
    generator = __import__(generator_name, globals(), locals(), generator_name)
  File "/usr/lib/python2.4/site-packages/gyp/generator/make.py", line 64
    return params.get('flavor', 'mac' if sys.platform == 'darwin' else 'linux')
SyntaxError: invalid syntax

My guess is that the package should be built on the python26 package available in EPEL. I've attached a possible patch to the spec that works for me.

Comment 1 Akira TAGOH 2014-06-25 03:55:42 UTC
Thanks for the patch. but I don't want to fork the spec among releases. so that should be ifdef'ed.

Comment 2 Akira TAGOH 2014-06-25 12:55:29 UTC
Fixed in gyp-0.1-0.15.1617svn.el5.

Comment 3 Fedora Update System 2014-06-29 22:18:00 UTC
gyp-0.1-0.15.1617svn.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gyp-0.1-0.15.1617svn.el5

Comment 4 Fedora Update System 2014-08-01 16:42:29 UTC
gyp-0.1-0.15.1617svn.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.